> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisdata.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Activity NBC

> OTA_ProductDescriptiveInfoRQ Playground

Use this message to retrieve NBC data for a specific tour activity.

<Tip>   Find all the necessary information regarding the request message [here](../../../excursion/mappingXARQ)</Tip>

***

<Warning> The endpoint (url) shown in the code snippet is for Sandbox only. If you need to throw the requests from Postman or other tools, please use [https://sintesb.axisdata.net/apu-test/ota](https://sintesb.axisdata.net/apu-test/ota) after whitelisting your IPs. More info at [Access to our Systems](../../../authentication/access)</Warning>


## OpenAPI

````yaml POST /activitynbc
openapi: 3.0.3
info:
  title: Hotel Availability API
  version: 1.0.0
servers:
  - url: https://ota-int.axisdata.net:9443
    description: Gateway endpoint
security: []
paths:
  /activitynbc:
    post:
      summary: OTA Activity NBC Request
      description: OTA_ProductDescriptiveInfoRQ Playground
      requestBody:
        required: true
        content:
          application/xml:
            schema:
              $ref: '#/components/schemas/OTA_ProductDescriptiveInfoRQ'
      responses:
        '200':
          description: Success
          content:
            application/xml:
              schema:
                type: string
components:
  schemas:
    OTA_ProductDescriptiveInfoRQ:
      type: string
      format: xml
      default: >-
        <OTA_ProductDescriptiveInfoRQ
        xmlns="http://www.opentravel.org/OTA/2003/05" Version="2016.2"
        PrimaryLangID="EN" AltLangID="EN" SequenceNmbr="1">
          <POS>
            <Source>
              <RequestorID ID="TEST" ID_Context="AxisData" Type="22"/>
            </Source>
            <Source>
              <RequestorID Type="88" ID="TEST" MessagePassword="testpass"/>
            </Source>
          </POS>
          <ProductDescriptiveInfos>
            <TourActivityDescriptiveInfo TourActivityID="XESPMI5L4U"/>
          </ProductDescriptiveInfos>
        </OTA_ProductDescriptiveInfoRQ>

````